# Poco::Zip

# class PartialInputStream

Library: Zip
Package: Zip
Header: Poco/Zip/PartialStream.h

## Description

This stream copies all characters read through it to one or multiple output streams.

## Inheritance

Direct Base Classes: PartialIOS, std::istream

All Base Classes: PartialIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### PartialInputStream

PartialInputStream(
std::istream & istr,
std::ios::pos_type start,
std::ios::pos_type end,
bool initStream = true,
const std::string & prefix = std::string (),
const std::string & postfix = std::string ()
);

Creates the PartialInputStream and connects it to the given input stream. Bytes read are guaranteed to be in the range [start, end-1] If initStream is true the status of the stream will be cleared on the first access, and the stream will be repositioned to position start

## Destructor

### ~PartialInputStream

~PartialInputStream();

Destroys the PartialInputStream.